name: cicd
on:
  push:
    branches:
    - main
    paths:
    - 'cmd/**'
    - 'src/**'

jobs:
  ci:
    name: ci
    runs-on: dind
    steps:
    - name: checkout
      uses: actions/checkout@v3
    - name: ci
      run: |
        bash ./build/build.sh
